@import "geist/font/geist-sans.css";
@import "geist/font/geist-mono.css";

body {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;

  margin: 0;
  padding: 0;

  height: 100vh;
  width: 100%;

  font-family: "Geist Sans", sans-serif;
}

#login-image {
  height: 100px;
  margin-top: 100px;
  margin-bottom: 20px;
}

#login-form {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  gap: 20px;
}

/* SIGNUP FORM PART 1 */

#login-form-part-1 {
  display: flex;
  align-items: center;
  justify-content: center;

  width: 500px;

  border: 1px solid lightblue;
  border-radius: 10px;
  overflow: hidden;
}

#login-form-part-1-title {
  display: flex;
  align-items: center;

  width: 30%;
  height: 100%;
  padding: 20px;

  font-size: 24px;
  box-sizing: border-box;
  background-color: aliceblue;
}

#login-form-part-1-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  width: 70%;
  gap: 5px;

  box-sizing: border-box;
  padding: 20px;
}

/* SIGNUP FORM PART 2 */

#login-form-part-2 {
  display: flex;
  align-items: center;
  justify-content: center;

  width: 500px;

  box-sizing: border-box;
  border: 1px solid lightblue;
  border-radius: 5px;
  overflow: hidden;
}

#login-form-part-2-title {
  display: flex;
  align-items: center;

  width: 30%;
  height: 100%;
  padding: 20px;

  font-size: 24px;
  box-sizing: border-box;
  background-color: aliceblue;
}

#login-form-part-2-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  width: 70%;
  gap: 5px;

  box-sizing: border-box;
  padding: 20px;
}

#login-form input {
  width: 250px;
  height: 30px;
  border: 1px solid black;
  border-radius: 5px;
}

#submit_user_connect {
  width: 300px;

  box-sizing: border-box;
  padding: 10px;
  margin-top: 20px;
  background-color: aliceblue;
  border: 1px solid lightblue;
  border-radius: 10px;
}

#submit_user_connect:hover {
  cursor: pointer;
  background-color: white;
}

/* Error messages */

#email-error:empty {
  display: none;
}

#email-error {
  margin-top: 5px;
}

#password-error:empty {
  display: none;
}

#password-error {
  margin-top: 5px;
}
